Bug 73735 - Unable to handle kernel paging request
Unable to handle kernel paging request
Status: CLOSED CURRENTRELEASE
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
7.1
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Arjan van de Ven
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-09-09 14:44 EDT by Steve Timm
Modified: 2008-08-01 12:22 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-09-30 11:39:55 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Steve Timm 2002-09-09 14:44:43 EDT
Description of Problem:


Version-Release number of selected component (if applicable):
Kernel 2.4.9-31smp, as distributed through RedHat errata

How Reproducible:
Very reproducible

Steps to Reproduce:
1. Run dual-cpu machine at high load factor (> 5)
2. Kernel panic will occur--has occurred at least 3 times in 2 months
on each of 20 identically configured nodes
3. 

Actual Results:
kswapd shows as <defunct> afterwards.  Below is text of kernel dump:

Unable to handle kernel paging request at virtual address 0a1a77da
 printing eip:
0a1a77da
*pde = 00000000
Oops: 0000
Kernel 2.4.9-31smp
CPU:    0
EIP:    0010:[<0a1a77da>]    Tainted: P
EFLAGS: 00010202
EIP is at Using_Versions [] 0xa1a77d9
eax: 0a1a77da   ebx: d112b040   ecx: d112b050   edx: e0e1e183
esi: f74f62e0   edi: e0e1e183   ebp: fffffff6   esp: c22dbf50
ds: 0018   es: 0018   ss: 0018
Process kswapd (pid: 5, stackpage=c22db000)
Stack: c0153d4b d112b040 c211c3a0 c02de878 00000000 c22da000 f74f62f8 f74f62e0
       d112b040 c01515eb d112b040 d112b040 c22da000 00000000 c1deb944 00000000
       c1eb1250 c1deb944 00000000 c0135c45 00000000 00036a22 000000c0 000000c0
Call Trace: [<c0153d4b>] iput [kernel] 0x3b
[<c01515eb>] prune_dcache [kernel] 0x10b
[<c0135c45>] page_launder [kernel] 0x955
[<c0151a11>] shrink_dcache_memory [kernel] 0x21
[<c013604b>] do_try_to_free_pages [kernel] 0x1b
[<c01360d5>] kswapd [kernel] 0x55
[<c0105000>] stext [kernel] 0x0
[<c0105866>] kernel_thread [kernel] 0x26
[<c0136080>] kswapd [kernel] 0x0
 
 
Code:  Bad EIP value.



Expected Results:


Additional Information:
Comment 1 Arjan van de Ven 2002-09-09 14:49:04 EDT
EIP:    0010:[<0a1a77da>]    Tainted: P

what kernel modules are you using ?
Comment 2 Steve Timm 2002-09-09 14:53:19 EDT
[root@fnd01 /root]# lsmod
Module                  Size  Used by    Tainted: P
autofs                 12100   5  (autoclean)
nfs                    83808   7  (autoclean)
lockd                  54048   1  (autoclean) [nfs]
sunrpc                 70032   1  (autoclean) [nfs lockd]
e100                   61360   1  (autoclean)
ipchains               42024   0
usb-uhci               23044   0  (unused)
usbcore                54656   1  [usb-uhci]
Comment 3 Bugzilla owner 2004-09-30 11:39:55 EDT
Thanks for the bug report. However, Red Hat no longer maintains this version of
the product. Please upgrade to the latest version and open a new bug if the problem
persists.

The Fedora Legacy project (http://fedoralegacy.org/) maintains some older releases, 
and if you believe this bug is interesting to them, please report the problem in
the bug tracker at: http://bugzilla.fedora.us/

Note You need to log in before you can comment on or make changes to this bug.